CREATE TABLE IF NOT EXISTS `cms_chat` (
  `id` int(11) NOT NULL auto_increment,
  `user_id` int(11) NOT NULL,
  `msg_time` datetime default NULL,
  `msg` varchar(800) NOT NULL,
  `msg_to` varchar(250) NOT NULL default 'a:0:{}',
  `color` varchar(20) NOT NULL default 'rgb(0, 0, 0)',
  `private` tinyint(4) NOT NULL default '0',
  `room` int(11) NOT NULL default '0',
  `ip` varchar(16) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=cp1251 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `cms_chat_online_users` (
  `id` int(11) NOT NULL auto_increment,
  `user_id` int(11) NOT NULL,
  `stat` int(11) default '1',
  `room` int(11) NOT NULL default '0',
  `lasttime` datetime default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=cp1251 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `cms_components` (
  `id` int(11) NOT NULL auto_increment,
  `title` varchar(200) NOT NULL,
  `link` varchar(200) NOT NULL,
  `config` text NOT NULL,
  `internal` int(11) NOT NULL,
  `author` varchar(200) NOT NULL default 'InstantCMS team',
  `published` int(11) NOT NULL default '1',
  `version` varchar(6) NOT NULL default '1.5',
  `system` int(11) NOT NULL default '1',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=cp1251 AUTO_INCREMENT=37 ;

INSERT INTO `cms_components` (`id`, `title`, `link`, `config`, `internal`, `author`, `published`, `version`, `system`) VALUES
(Null, '', 'chat', 'a:9:{s:11:"chatrefresh";s:1:"3";s:13:"onlinerefresh";s:2:"30";s:7:"timeout";s:1:"3";s:10:"chatheight";s:3:"600";s:11:"onlinewidth";s:3:"200";s:12:"show_avatars";s:1:"1";s:10:"show_rooms";s:1:"1";s:9:"saylength";s:3:"250";s:8:"msgfirst";s:2:"10";}', 0, 'InstantCMS team', 1, '1.5', 1);

CREATE TABLE IF NOT EXISTS `cms_modules` (
  `id` int(11) NOT NULL auto_increment,
  `position` varchar(10) NOT NULL,
  `name` varchar(200) NOT NULL,
  `title` varchar(200) NOT NULL,
  `is_external` int(11) NOT NULL,
  `content` text NOT NULL,
  `ordering` int(11) NOT NULL,
  `showtitle` int(11) NOT NULL default '1',
  `published` int(11) NOT NULL default '1',
  `user` int(11) NOT NULL default '1',
  `config` text NOT NULL,
  `original` int(11) NOT NULL,
  `css_prefix` varchar(30) NOT NULL,
  `allow_group` int(11) NOT NULL default '-1',
  `cache` int(11) NOT NULL,
  `cachetime` int(11) NOT NULL default '1',
  `cacheint` varchar(15) NOT NULL default 'HOUR',
  `template` varchar(35) NOT NULL default 'module.tpl',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=cp1251 AUTO_INCREMENT=81 ;


INSERT INTO `cms_modules` (`id`, `position`, `name`, `title`, `is_external`, `content`, `ordering`, `showtitle`, `published`, `user`, `config`, `original`, `css_prefix`, `allow_group`, `cache`, `cachetime`, `cacheint`, `template`) VALUES
(80, 'left', '   ?', '    ?', 1, 'mod_who_chat', 24, 1, 1, 0, '---\nnewscount: \nmenuid: 13\nview_type: \n', 1, '', 1, 0, 1, 'HOUR', 'module.tpl');
